Ive been unlocking the iphone for people here in bermuda and ive come across 3 people who have bricked theirs by accidently upgrading from 1.0.2 to 1.1.1.... they asked me to downgrade them and 1 of the iphones i didnt even bother downgrading the baseband and another i couldnt because it wouldnt respond to the terminal commands....... But in both cases i just proceeded to reunlock in 1.0.2 with a 1.1.1 baseband and it worked.. has anybody else had this experienced and if so does anybody know if it can be upgraded to 1.1.1 doing the unlock for 1.1.1....